<template>
  <q-page class="flex flex-center q-pa-md">
    <q-card bordered class="row no-wrap q-ma-lg login-card">
      <div class="q-pa-lg">
        <div class="text-h6" style="margin-bottom: 20px">Create Project Admin</div>
        <!-- Admin Dashboard Password -->
        <q-input v-model="adminDashboardPassword" label="Admin Dashboard Password" type="password" class="q-lg-md"
          required />

        <q-input v-model="projectName" label="Project Name"></q-input>
        <q-btn class="q-mt-md" color="primary" label="Create" @click="submitProject"></q-btn>
      </div>
    </q-card>
  </q-page>
</template>

<script setup lang="ts">
import { ref } from 'vue';
import { useProjects } from '../hooks/projects';

const { createProjectAdmin } = useProjects();
const projectName = ref('');
const adminDashboardPassword = ref('');

const submitProject = async () => {
  await createProjectAdmin(projectName.value, adminDashboardPassword.value);
};
</script>

<style lang="scss">
.login-card {
  border-radius: 14px;
  width: fit-content;
}

.q-input {
  margin-bottom: 20px;
}
</style>
